6

Ubuntu won't recognize my new Logitech C930e webcam fully. Guvcview does (see below). Logitech says it supports UVC 1.5.

I found: http://sourceforge.net/p/linux-uvc/mailman/message/31645720/

Why isn't it integrated in Ubuntu 14.04 (cheese app)?

I need this camera for SimpleCV (which won't recognize it as well).

I figured out:

cam = Camera(0)  // -> for the internal notebook (edge 130) webcam
cam = Camera(1)  // -> for the Logitech C930e

I receive following errors:

SimpleCV:1> cam = Camera(1)
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument

and with an openCV command:

SimpleCV:2>  cap = cv2.VideoCapture(1)
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
VIDIOC_QUERYMENU: Invalid argument
libv4l2: error setting pixformat: Device or resource busy
HIGHGUI ERROR: libv4l unable to ioctl S_FMT
libv4l2: error setting pixformat: Device or resource busy
libv4l1: error setting pixformat: Device or resource busy
HIGHGUI ERROR: libv4l unable to ioctl VIDIOCSPICT
2
  • Did you installed guvcview? – user224082 May 16 '14 at 13:17
  • Yes, it's installed. Guvcview recognizes the cam, but ubuntu and simplecv not. – empedokles May 16 '14 at 15:53
0

Try with Installing common Web Cam driver packages in Ubuntu

sudo apt-get install build-essential linux-headers-`uname -r`
7
  • I receive errors: "E: Paket ov51x-jpeg kann nicht gefunden werden. E: Paket ov51x kann nicht gefunden werden." – empedokles May 16 '14 at 15:54
  • Seems this stuff is already there: "build-essential ist schon die neueste Version. build-essential wurde als manuell installiert festgelegt. linux-headers-3.13.0-24-generic ist schon die neueste Version. linux-headers-3.13.0-24-generic wurde als manuell installiert festgelegt. 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 22 nicht aktualisiert." – empedokles May 16 '14 at 16:01
  • It says it is already the newest version. Linux-headers was declared as manually installed. 0 acutalized. 0 new installed. 0 to delete and 22 not acutalized. – empedokles May 16 '14 at 16:07
  • I can switch to it over settings. But as soon as I set anything else then 320x240 it says: "Error while processing signal". – empedokles May 16 '14 at 20:13
  • The logitech C930e records 1080p. – empedokles May 16 '14 at 23:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.